# Write a Story Together
A collaborative story told using the last letter, first letter writing pattern. This pattern has only one simple rule: _the first letter of the first word in a sentence must match the previous sentence's last word's last letter._

Read the story so far at [the-story.md](the-story.md).

## An Example of How It Works
If this is the latest sentence of the story:

> Under a dull, slate-gray sky, the wind-swept beach was empty, save for a few piles of driftwood, the odd seashell, and Harold the Forgetful Hedgehog.

The last word in the sentence — _Hedgehog_ — ends in the letter **G**. This means that, according to the last letter, first letter rule, the first word of the next sentence must start with a **G**. For example:

>Gazing out at the indifferent sea, Harold's absent-minded mind tried in vain to mould his mushy memory into a shape from which he could divine why he was at the seashore, alone, carrying an oversized novelty rubber mallet.

This verbose sentence could then be followed by a sentence starting with a **T** such as:

>"This," thought Harold, "sucks."

As you can see, save for the letter rule, building a story like this holds boundless freedom to be creative, concise, comical, or cerebral.

## A Few Guidelines

* **Keep submissions short.** The joy of this project comes from the unexpected. While submitting an entire 500-word entry in this style would be a noteworthy accomplishment, trading off 1-3 sentences with other participants will create a more interesting end result. 
* **Build on and add to the existing plot.** You're free to throw in whatever randomness you like. However, this exercise works best when each proceeding sentence advances, rather than negates, the previous one.
* **Keep it clean!** Racist, sexist, hateful, or extremely profane language will likely be rejected.
* **Don't be a one-hit wonder.** Multiple submissions are more than welcome. That said, refrain from building upon your own accepted addition.

---

## How to Participate

An underlying goal of this repo is to offer more people — especially non-developers — the opportunity to contribute to open source projects. It is also a low-stakes way to practice GitHub workflows.

### What You Need to Get Started
1. A GitHub account
2. [Git](https://git-scm.com/) installed locally

### How to Contribute
1. Fork this repo
2. Clone your fork locally
3. Make a new branch and switch to it
4. Add to [the-story.md](the-story.md) file (using the last-first rule)
5. Save your updated version of `the-story.md`
6. `git add` and `git commit` your work
7. `git push` your branch to `origin`
8. On GitHub, submit a pull request (PR) to suggest your addition to the story. Your PR will be reviewed and considered for merging!

Digital Ocean has [a nice walkthrough of the above steps](https://www.digitalocean.com/community/tutorials/how-to-create-a-pull-request-on-github), if you need a little more direction.
